kind: pipeline
type: docker
name: default

steps:
- name: submodules
  image: alpine/git
  commands:
    - git submodule update --recursive --init

- name: build
  image: plugins/hugo
  settings:
    validate: true
    url: http://moonside.games/docs/encompass

- name: deploy
  image: drillster/drone-rsync
  settings:
    hosts:
      - moonside.games
    target: /var/www/html/docs/encompass
    source: public/
    recursive: true
    user: hugo
    key:
      from_secret: rsync_key
  when:
    branch:
      - main
